/*Style dokumentu*/
/*Fonty z Google*/
@import url('https://fonts.googleapis.com/css2?family=Marcellus&display=swap');

/*Kolory projektu - zmienne - var*/
:root{
    --color-tlojasny: #F4F5F3;
    --color-tlozolty: #FBECBE;
    --color-zolty: #FDD95E;
    --color-zielony: #749859;
    --color-szary: #393939;
}

/*SELEKTORY GLOBALNE*/
*{
  box-sizing: border-box; /*żeby padding nie zwiększał szerokości*/
  transition: 500ms;
}

html{
  scroll-behavior: smooth; /*animacja przewijania*/
  font-family: "Marcellus", serif;
  font-weight: 400;
  font-style: normal;
}
body{}
a{
  text-decoration: none;
}
p{}
img{
    max-width: 100%; /*responsywne obrazy*/
}

/*NAWIGACJA*/
nav{

    padding: 10px;
    display: flex;
    justify-content: center;

    /*pływające menu - zafixowane*/
    position: fixed;
    width: 100%; /*przywracamy szerokość, bo fixed skasowało szerokość*/

    z-index: 1; /*zmiana kolejnosci elementów na osi Z (domyślna wartość wynosi 0) - dodatnie przenoszą na wierzch, ujemne pod spód*/
}
nav ol{
  max-width: 1200px;
  width: 100%; /*przywraca szerokosc*/

  /*ustawiamy li obok siebie*/
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  color: var(--color-zielony);
}
nav ol li {
  flex: 1;
  text-align: center;
}
nav ol li img{
  width: 60%;
}
nav ol li a {
  text-align: center;
  padding: 10px;
  display: block;
  color: var(--color-bg);
  border-radius: 50px;
}
nav ol li a:hover {
  background-color: var(--color-tlozolty);
  color: var(--color-zielony);
}
nav ol li a:active{
  background-color: var(--color-tlozolty);
}

/* WSZYSTKIE SEKCJE I ICH ZAWARTOSCI */
section{
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.zawartosc{
    max-width: 1400px;
    width: 100%;
    /* background-color: red; */
    display: flex;
    align-items: center;
}

/*sekcja 1*/
#sekcja1{
    background: url(../img/yuzu-tlo.png) no-repeat center center/cover;
    text-align: center;
}
#sekcja1 .zawartosc{
    min-height: 60vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
h1{
    font-size: 120px;
    letter-spacing: 10px;
    color: #f4cc63;
}
#sekcja1 article{
    /* background-color: yellow; */
    min-height: 20vh;
}
#sekcja1 article p{
    font-size: 18px;
    color: #6b7d55;
    text-align: center;
    width: 100%;
    margin-bottom: 50px;
}
/*PRZYCISK*/
#sekcja1 article a{
    display: inline-block;
    padding: 15px 50px;
    background-color: var(--color-szary);
    color: var(--color-tlojasny);
    text-decoration: none;
    font-size: 16px;
    letter-spacing: 1px;
}
/* HOVER */
#sekcja1 article a:hover {
    background-color: var(--color-zolty);
    color: var(--color-szary);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    /* transform: translateX(-50%) translateY(-3px); */
}
    
/*sekcja 2*/
#sekcja2{
    min-height: 70vh;
    padding: 50px;
}
#sekcja2 .zawartosc{
    transform: translateY(-60px);
}
.about-yuzu {
    width: 100%;
    padding: 100px 0;
    background-color: var(--color-tlojasny);
}

.about-container {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    gap: 80px;
    padding: 0 40px;
}

/* TEKST */
.about-tekst {
    flex: 1;
}

.about-tytul {
    font-size: 72px;
    line-height: 1.1;
    color: #f4cc63;
    margin-bottom: 40px;
}

.about-opis {
    font-size: 16px;
    line-height: 1.6;
    color: var(--color-szary);
    margin-bottom: 30px;
    max-width: 500px;
}

/* LISTA */
.about-list {
    list-style: none;
}

.about-list li {
    font-size: 15px;
    color: #7a8f62;
    margin-bottom: 10px;
    position: relative;
    padding-left: 20px;
}

.about-list li::before {
    content: "•";
    position: absolute;
    left: 0;
    color: #9bb36a;
}

/* OBRAZ */
.about-image {
    flex: 1;
    display: flex;
    justify-content: center;
}

.about-image img {
    width: 450px;
    max-width: 100%;
}

/*SEKCJA 3*/
.uses-yuzu {
    width: 100%;
    background-color: var(--color-tlozolty);
    padding: 120px 0;
}

.uses-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 40px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* NAGŁÓWEK */
.uses-title {
    /* max-width: 80%; */
    width: 100%;
    font-size: 72px;
    color: #ffffff;
    line-height: 1.1;
    /* background-color: red; */
    text-align: left;
}

.uses-title span {
    font-size: 32px;
    font-weight: normal;
}

/* OPIS */
.uses-description {
    text-align: left;
    /* max-width: 700px; */
    padding-right: 30%;
    margin: 0 auto 80px auto;
    font-size: 15px;
    line-height: 1.6;
    color: var(--color-szary);
}

/* KAFELKI */
.uses-boxes {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 40px;
    margin-bottom: 80px;
    /* background-color: red; */
}

.uses-box {
    flex: 1 1 200px;
    /* width: 33%; */
    /* background-color: green; */
}

.uses-box img {
   /* background-color: pink;*/
    width: 120px;
    height: 200px;
    object-fit: contain;
    object-position: bottom;
    margin-bottom: 30px;
}

.uses-box h3 {
    font-size: 28px;
    color: var(--color-zielony);
    margin-bottom: 20px;
}

.uses-box p {
    font-size: 14px;
    line-height: 1.6;
    color: var(--color-szary);
}

/* PRZYCISK */
.button-zastosowania {
    display: inline-block;
    padding: 15px 60px;
    background-color: var(--color-szary);
    color: var(--color-tlojasny);
    text-decoration: none;
    font-size: 16px;
    letter-spacing: 1px;
    transition: background-color 0.3s;
}

.button-zastosowania:hover {
    background-color: var(--color-zolty);
    color: var(--color-szary);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    transform:  translateY(-3px);
}

/*sekcja 4*/
.benefit-section{
    width: 100%;
}
.benefits-yuzu {
    width: 100%;
    padding: 120px 0;
    background-color: var(--color-tlojasny);
}

.benefits-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 40px;
}

/* NAGŁÓWEK */
.benefits-title {
    font-size: 72px;
    color: var(--color-zolty);
    line-height: 1.1;
    text-align: right;
    margin-bottom: 100px;
}

/* WIERSZE */
.benefit-row {
    display: flex;
    align-items: center;
    gap: 60px;
    margin-bottom: 100px;
}

.benefit-row.left {
    justify-content: flex-start;
}

.benefit-row.right {
    justify-content: flex-end;
}

/* TEKST */
.benefit-text {
    max-width: 500px;
}

.benefit-text h3 {
    font-size: 28px;
    color: var(--color-zielony);
    margin-bottom: 20px;
}

/* ŻÓŁTY BOX */
.benefit-box {
    background-color: var(--color-tlozolty);
    padding: 30px;
}

.benefit-box p {
    font-size: 14px;
    line-height: 1.6;
    color: var(--color-szary);
}

/* IKONY */
.benefit-icon img {
    width: 160px;
}

/*sekcja 5 - newsletter*/

.newsletter {
    min-height: 20vh;
    width: 100%;
    padding: 60px 0;
    background-color: var(--color-tlojasny);
}

.newsletter-container {
    max-width: 800px;
    margin: 0 auto;
    text-align: left;
}

.newsletter-title {
    font-size: 64px;
    color: var(--color-zielony);
    margin-bottom: 40px;
}

.newsletter-box {
    background-color: var(--color-tlozolty);
    padding: 40px;
}

.newsletter-text {
    font-size: 16px;
    color: var(--color-szary);
    margin-bottom: 10px;
}

.newsletter-note {
    font-size: 12px;
    color: var(--color-szary);
    margin-bottom: 30px;
}

/* FORMULARZ */
.newsletter-form {
    display: flex;
    justify-content: center;
}

.newsletter-form input {
    width: 60%;
    padding: 12px;
    font-size: 14px;
}

.newsletter-form button {
    padding: 12px 30px;
    background-color: var(--color-szary);
    color: var(--color-tlojasny);
    border: none;
    cursor: pointer;
    font-size: 14px;
}

.newsletter-form button:hover {
    background-color: var(--color-zolty);
}

/*sekcja 6 - stopka*/

.footer {
    width: 100%;
}

/* GÓRNA CZĘŚĆ STOPKI */
.footer-main {
    background-color: #fdeebf;
    padding: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.footer-logo img {
    width: 80px;
}

.footer-contact p {
    /*background-color: green;*/
    font-size: 13px;
    color: var(--color-zielony);
    margin-bottom: 5px;
}

.footer-links {
    /*background-color: red;*/
    display: flex;
    flex-direction: column;
}

.footer-links a {
    font-size: 13px;
    color: var(--color-zielony);
    text-decoration: none;
    margin-bottom: 5px;
}

.footer-links a:hover {
    text-decoration: underline;
}

/* DOLNY PASEK */
.footer-bottom {
    background-color: var(--color-zolty);
    padding: 20px;
    text-align: center;
}

.footer-bottom p {
    font-size: 11px;
    color:var(--color-szary);
    line-height: 1.4;
}